<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unionwiced__bt__gatt__read__param__t" kind="union" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_read_param_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unionwiced__bt__gatt__read__param__t_1ad8ce54d8e637c91fd873f6ead36a6083" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__read__by__type__t">wiced_bt_gatt_read_by_type_t</ref></type>
        <definition>wiced_bt_gatt_read_by_type_t wiced_bt_gatt_read_param_t::service</definition>
        <argsstring />
        <name>service</name>
        <briefdescription>
<para>Parameters for GATT_READ_BY_TYPE. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="317" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="317" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__read__param__t_1a4ea92c798c1e7ecc15b265c97878168d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__read__by__type__t">wiced_bt_gatt_read_by_type_t</ref></type>
        <definition>wiced_bt_gatt_read_by_type_t wiced_bt_gatt_read_param_t::char_type</definition>
        <argsstring />
        <name>char_type</name>
        <briefdescription>
<para>Parameters for GATT_READ_CHAR_VALUE. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="318" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="318" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__read__param__t_1ad7c7d921fb8657f381d70e76a267a958" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__read__multi__t">wiced_bt_gatt_read_multi_t</ref></type>
        <definition>wiced_bt_gatt_read_multi_t wiced_bt_gatt_read_param_t::read_multiple</definition>
        <argsstring />
        <name>read_multiple</name>
        <briefdescription>
<para>Parameters for GATT_READ_MULTIPLE. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="319" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="319" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__read__param__t_1ae43b978de472f478eb68fd5d72363456" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__read__by__handle__t">wiced_bt_gatt_read_by_handle_t</ref></type>
        <definition>wiced_bt_gatt_read_by_handle_t wiced_bt_gatt_read_param_t::by_handle</definition>
        <argsstring />
        <name>by_handle</name>
        <briefdescription>
<para>Parameters for GATT_READ_BY_HANDLE. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="320" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="320" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__read__param__t_1adf206da14296f4e0e526e0163463dcf1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__read__partial__t">wiced_bt_gatt_read_partial_t</ref></type>
        <definition>wiced_bt_gatt_read_partial_t wiced_bt_gatt_read_param_t::partial</definition>
        <argsstring />
        <name>partial</name>
        <briefdescription>
<para>Parameters for GATT_READ_PARTIAL. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="321" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="321" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Read request parameters - used when calling <ref kindref="member" refid="group__gatt__client__api__functions_1gae9f461e84e9cfd188d0dcf31982cf940">wiced_bt_gatt_send_read</ref>. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="528">
        <label>wiced_bt_gatt_read_by_type_t</label>
        <link refid="structwiced__bt__gatt__read__by__type__t" />
        <childnode refid="529" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
      </node>
      <node id="529">
        <label>wiced_bt_uuid_t</label>
        <link refid="structwiced__bt__uuid__t" />
      </node>
      <node id="530">
        <label>wiced_bt_gatt_read_by_handle_t</label>
        <link refid="structwiced__bt__gatt__read__by__handle__t" />
      </node>
      <node id="527">
        <label>wiced_bt_gatt_read_partial_t</label>
        <link refid="structwiced__bt__gatt__read__partial__t" />
      </node>
      <node id="526">
        <label>wiced_bt_gatt_read_param_t</label>
        <link refid="unionwiced__bt__gatt__read__param__t" />
        <childnode refid="527" relation="usage">
          <edgelabel>partial</edgelabel>
        </childnode>
        <childnode refid="528" relation="usage">
          <edgelabel>service</edgelabel>
          <edgelabel>char_type</edgelabel>
        </childnode>
        <childnode refid="530" relation="usage">
          <edgelabel>by_handle</edgelabel>
        </childnode>
        <childnode refid="531" relation="usage">
          <edgelabel>read_multiple</edgelabel>
        </childnode>
      </node>
      <node id="531">
        <label>wiced_bt_gatt_read_multi_t</label>
        <link refid="structwiced__bt__gatt__read__multi__t" />
      </node>
    </collaborationgraph>
    <location bodyend="322" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="315" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="316" />
    <listofallmembers>
      <member prot="public" refid="unionwiced__bt__gatt__read__param__t_1ae43b978de472f478eb68fd5d72363456" virt="non-virtual"><scope>wiced_bt_gatt_read_param_t</scope><name>by_handle</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__read__param__t_1a4ea92c798c1e7ecc15b265c97878168d" virt="non-virtual"><scope>wiced_bt_gatt_read_param_t</scope><name>char_type</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__read__param__t_1adf206da14296f4e0e526e0163463dcf1" virt="non-virtual"><scope>wiced_bt_gatt_read_param_t</scope><name>partial</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__read__param__t_1ad7c7d921fb8657f381d70e76a267a958" virt="non-virtual"><scope>wiced_bt_gatt_read_param_t</scope><name>read_multiple</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__read__param__t_1ad8ce54d8e637c91fd873f6ead36a6083" virt="non-virtual"><scope>wiced_bt_gatt_read_param_t</scope><name>service</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>